from engine.scene import Scene

from .game_objects.common import S
from .game_objects.level import Level
from .game_objects.pacman import PacMan
from .game_objects.ghost import Ghost


class Lvl0(Scene):
    def load(self):
        self.add(Level('lvl0.png'))
        self.add(PacMan(S, S))
        self.add(Ghost(S*6, S*2))
        self.add(Ghost(S*6, S*13))
        self.add(Ghost(S*18, S*13))
        self.add(Ghost(S*8, S*23))
        super().load()


scene = Lvl0()
